import type { Icons } from '~/types/icon';
import { withBasePath } from './basePath';

export const PATHS = {
  IMAGES: {
    PROJECTS: {
      TEMP: withBasePath('/assets/images/temp_project.png'),
      PORTFOLIO: withBasePath('/assets/images/portfolionuxt_project.png'),
      IRIS: withBasePath('/assets/images/iris_project.png'),
      CHROMINO: withBasePath('/assets/images/chromino_project.png'),
      CLAVIER: withBasePath('/assets/images/clavier_project.png'),
      FLOUFACE: withBasePath('/assets/images/flouface_project.png'),
      MODELISATION: withBasePath('/assets/images/modelisation_project.png'),
      SERVER: withBasePath('/assets/images/server_project.png')
    },
    GALLERY: {
      PORTFOLIO: [
        withBasePath('/assets/images/gallery/portfolio/portfolio_1.jpg'),
        withBasePath('/assets/images/gallery/portfolio/portfolio_2.jpg'),
        withBasePath('/assets/images/gallery/portfolio/portfolio_3.jpg')
      ],
      IRIS: [
        withBasePath('/assets/images/gallery/iris/iris_1.jpg'),
        withBasePath('/assets/images/gallery/iris/iris_2.jpg')
      ],
      CHROMINO: [
        withBasePath('/assets/images/gallery/chromino/chromino_1.jpg'),
        withBasePath('/assets/images/gallery/chromino/chromino_2.jpg')
      ],
      CLAVIER: [
        withBasePath('/assets/images/gallery/clavier/clavier_1.jpg'),
        withBasePath('/assets/images/gallery/clavier/clavier_2.jpg')
      ],
      MODELISATION: [
        withBasePath('/assets/images/gallery/modelisation/modelisation_1.jpg'),
        withBasePath('/assets/images/gallery/modelisation/modelisation_2.jpg')
      ],
      SERVER: [
        withBasePath('/assets/images/gallery/server/server_1.jpg'),
        withBasePath('/assets/images/gallery/server/server_2.jpg')
      ],
      FLOUFACE: [
        withBasePath('/assets/images/gallery/flouface/flouface_1.jpg'),
        withBasePath('/assets/images/gallery/flouface/flouface_2.jpg')
      ]
    }
  },
  ICONS: {
    GITHUB: {
      LIGHT: withBasePath('/assets/icons/github-black.png'),
      DARK: withBasePath('/assets/icons/github-white.png')
    } as Icons,
    DEMO: {
      LIGHT: withBasePath('/assets/icons/demo-black.png'),
      DARK: withBasePath('/assets/icons/demo-white.png')
    } as Icons,
    DOCUMENTATION: {
      LIGHT: withBasePath('/assets/icons/documentation-black.png'),
      DARK: withBasePath('/assets/icons/documentation-white.png')
    } as Icons,
    YOUTUBE: {
      LIGHT: withBasePath('/assets/icons/youtube-black.png'),
      DARK: withBasePath('/assets/icons/youtube-white.png')
    } as Icons
  },
  RESOURCES: {
    CV: withBasePath('/assets/files/CV_final_Mathéo_Thierry.pdf')
  },
  LINKS: {
    YOUTUBE: 'https://www.youtube.com/@37b7',
    PROJECTS: {
      TEMP: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      },
      PORTFOLIO: {
        GITHUB: 'https://github.com/37b7/portfolio_nuxt',
        DEMO: 'https://votre-portfolio.com',
      },
      IRIS: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      },
      CHROMINO: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      },
      CLAVIER: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      },
      FLOUFACE: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      },
      MODELISATION: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      },
      SERVER: {
        GITHUB: 'https://github.com/votre-username/todo-app',
        DEMO: 'https://todo-app-demo.com'
      }
    }
  }
} as const;

export const DEFAULT_IMAGES = {
  PROJECT: withBasePath('/assets/images/default-project.png'),
  ICON: withBasePath('/assets/icons/default-icon.png'),
} as const;